Bug 976213 - engine-setup fails on el6 minimal install with a http failure
engine-setup fails on el6 minimal install with a http failure
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-installer (Show other bugs)
3.2
Unspecified Linux
urgent Severity high
: ---
: 3.3
Assigned To: Yedidyah Bar David
integration
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-20 03:05 EDT by Joop van de Wege
Modified: 2013-09-23 08:15 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 08:15:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joop van de Wege 2013-06-20 03:05:22 EDT
Description of problem:
After installing a el6 (Centos-6.4) minimal install and adding the ovirt repo and installing ovirt-engine and doing engine-setup, the setup fails in restarting http.

Version-Release number of selected component (if applicable):
3.2.2

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:
engine-setup doesn't complete

Expected results:
succesfull setup


Additional info:
yum install apr followed by engine-cleanup, engine-setup completes the setup succesful.
Comment 1 Yedidyah Bar David 2013-06-25 09:18:10 EDT
Hi Joop,

Can you please state the exact set of repos/commands you used?

At least on CentOS 6.4, httpd depends on apr.

Regards,
-- 
Didi
Comment 2 Joop van de Wege 2013-06-27 03:20:24 EDT
From bash_history (slightly redacted :-) )

   19  yum install http://resources.ovirt.org/releases/ovirt-release-el6-6-1.noarch.rpm
   20  init 0
   21  yum install ovirt-engine
   22  yum install http://download.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm
   23  yum install ovirt-engine
   24  yum update -y
   25  init 6
   32  engine-setup
   33  yum install apr
   34  engine-cleanup
   35  engine-setup
Comment 3 Yedidyah Bar David 2013-06-27 03:24:24 EDT
(In reply to Joop van de Wege from comment #2)
> From bash_history (slightly redacted :-) )
> 
>    19  yum install
> http://resources.ovirt.org/releases/ovirt-release-el6-6-1.noarch.rpm
>    20  init 0
>    21  yum install ovirt-engine
>    22  yum install
> http://download.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.
> rpm
>    23  yum install ovirt-engine
>    24  yum update -y
>    25  init 6
>    32  engine-setup
>    33  yum install apr
>    34  engine-cleanup
>    35  engine-setup

Thanks, Joop, I'll check this.

Regards,
-- 
Didi
Comment 4 Yedidyah Bar David 2013-06-27 03:38:38 EDT
Hi,

(In reply to Yedidyah Bar David from comment #3)
> (In reply to Joop van de Wege from comment #2)
> > From bash_history (slightly redacted :-) )
> > 
> >    19  yum install
> > http://resources.ovirt.org/releases/ovirt-release-el6-6-1.noarch.rpm
> >    20  init 0
> >    21  yum install ovirt-engine
> >    22  yum install
> > http://download.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.
> > rpm
> >    23  yum install ovirt-engine
> >    24  yum update -y
> >    25  init 6
> >    32  engine-setup
> >    33  yum install apr
> >    34  engine-cleanup
> >    35  engine-setup
> 
> Thanks, Joop, I'll check this.

OK, I see the problem. When I tried, I used the nigthly repo instead of the stable one. I'll check this further.

Best regards,
-- 
Didi
Comment 5 Yedidyah Bar David 2013-06-27 08:55:54 EDT
The bug is that the jboss-as package has a copy of libapr-1.so, but in a "private" location, but this makes rpm think that it provides this library. When it's actually needed, it's not found.

I now verified that this can be solved by adding to the spec file the following:
AutoReqProv: no
This makes rpm not automatically provide the library, and so dependencies on it are resolved using the official apr package.

What do we want to do now? Build an updated package and put on ovirt.org?
Comment 6 Yedidyah Bar David 2013-06-27 09:26:23 EDT
(In reply to Yedidyah Bar David from comment #5)
> The bug is that the jboss-as package has a copy of libapr-1.so, but in a
> "private" location, but this makes rpm think that it provides this library.
> When it's actually needed, it's not found.
> 
> I now verified that this can be solved by adding to the spec file the
> following:
> AutoReqProv: no
> This makes rpm not automatically provide the library, and so dependencies on
> it are resolved using the official apr package.
> 
> What do we want to do now? Build an updated package and put on ovirt.org?

Juan, can you please build a fixed version?
Comment 7 Yedidyah Bar David 2013-06-27 09:54:50 EDT
Eyal, can you please upload the updated package to ovirt.org, once it's ready?
Comment 8 Eyal Edri 2013-06-27 13:23:21 EDT
not sure what you mean by that.
ovirt-engine is built nightly automatically from jenkins:

http://resources.ovirt.org/releases/nightly/rpm/EL/6/noarch/
Comment 9 Yedidyah Bar David 2013-06-27 15:44:29 EDT
(In reply to Eyal Edri from comment #8)
> not sure what you mean by that.

Sorry I wasn't clear.

> ovirt-engine is built nightly automatically from jenkins:
> 
> http://resources.ovirt.org/releases/nightly/rpm/EL/6/noarch/

I refer to jboss.

Juan emailed us where he built an updated jboss rpm.

The one he built has to replace (or be put in parallel with) the one here:
http://resources.ovirt.org/releases/nightly/rpm/EL/6/x86_64/
We need to update the repodata to point to the new version.

We also want to put the same rpm in
http://resources.ovirt.org/releases/nightly/rpm/EL/6/x86_64/
and update repodata for this to point there.
Currently we do not provide any jboss rpm for the nightly repo.
Comment 10 Yedidyah Bar David 2013-06-30 09:01:28 EDT
Hi Joop,

As you might have understood from the discussion, the bug was in the jboss-as package providing libasr-1.so incorrectly.

We now updated the el6 repositories (both stable and nightly) with a corrected version of the jboss rpm.

You are welcome to verify that the problem is fixed.

Best regards,
-- 
Didi
Comment 11 Joop van de Wege 2013-07-01 06:02:31 EDT
Hi Yedidyah,

A simple minimal centos-6.4 install with added epel and ovirt repos and yum install ovirt-engine, engine-setup, works Ok.

So problem fixed as far as I'm concerned, good work.

Joop
Comment 12 Itamar Heim 2013-09-23 08:15:08 EDT
bulk closing, assuming verified bugs are in 3.3.

Note You need to log in before you can comment on or make changes to this bug.